Bug 1254472 - ipxe sanboot rhev-hypervisor6-6.5-20140930.1.el6ev from iscsi target failed [NEEDINFO]
ipxe sanboot rhev-hypervisor6-6.5-20140930.1.el6ev from iscsi target failed
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhev-hypervisor (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Fabian Deutsch
cshao
node
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-18 04:25 EDT by vanlos wang
Modified: 2016-02-10 15:11 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-16 07:37:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Node
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fdeutsch: needinfo? (vanloswang)
fdeutsch: needinfo? (vanloswang)


Attachments (Terms of Use)

  None (edit)
Description vanlos wang 2015-08-18 04:25:02 EDT
Description of problem:
I install rhev-hypervisor6-6.5-20140930.1.el6ev iso to an iSCSI target. Then change the kernel arguement to boot from the iSCSI target, after a while the kernel crashed and report the error as beloew:
dracut Warning: No root device "/dev/live-rw" found
kernel panic - not syncing : attempted to kill init!

while there is no such problem in rhev-hypervisor7-7.1-20150603.0.el6ev!

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. setup ipxe network boot enviroment in RHEL 7.1, using sanboot to boot from iSCSI target
2. setup iSCSI target in the same eviroment in RHEL 7.1
3. install rhev-hypervisor6-6.5-20140930.1.el6ev into iSCSI target by creating a vm in RHEV-M which has a direct lun to the iSCSI target
4. change the kernel arguement like below: 
 kernel /vmlinuz0 root=live:LABEL=Root rw rootfstype=auto rootflags=rw ifname=eth0:00:1a:4a:78:df:56 netroot=iscsi:@172.30.4.219::3260:iface0:eth0::iqn.vanlos.com:rhev-h ip=eth0:dhcp iscsi_initiator=iqn.vanlos.com:rhev-h crashkernel=auto max_loop=256 rd_NO_LUKS rd_NO_MD rd_NO_DM

Actual results:
kernel crashed while system booting

Expected results:
successfully boot into the system

Additional info:
The same produce for setup rhev-hypervisor7-7.1 can boot into system from iSCSI target.
Comment 1 vanlos wang 2015-08-18 05:03:56 EDT
In addition, there is no such problem in ovirt-node-iso-3.4-20140508.2.el6 too!
Comment 2 Fabian Deutsch 2015-09-30 09:21:16 EDT
The support for booting from iSCSI targets using the software iSCSI initiator was dropped some time ago, see bug 1196152.

Do you have the ability to install RHEV-H on a local storage?
Comment 3 Fabian Deutsch 2015-10-19 15:56:58 EDT
I see that you are using the software iSCSI support, this support was dropped some time ago, see bug 1196152.

Do you have the ability to use a iSCSI HBA?
Comment 4 Fabian Deutsch 2015-11-16 07:37:38 EST
I'm closing this bug for now because I did not get a response within a month.

Please re-open this bug if you got more questions.

Note You need to log in before you can comment on or make changes to this bug.